# frozen_string_literal: true

require 'oj'
require 'httparty'
require 'rtx/api/version'

# client
require 'rtx/api/client'

# resources
require 'rtx/api/resources'
require 'rtx/api/collection'
require 'rtx/api/collection_v2'

# errors
require 'rtx/api/errors/client_error'
require 'rtx/api/errors/authentication_error'
require 'rtx/api/errors/request_error'
require 'rtx/api/errors/invalid_resource_error'

module RTX
  module API; end
end
